#pragma once


// CEditBytes

class CEditBytes : public CEdit
{

public:
	CEditBytes();
	virtual ~CEditBytes();


	enum EventID { ID_EDIT_CHANGE, ID_MAX };
	typedef void (*EVENT_FUNC)(int nID, int nBytes, void* pUser);
	void SetEvent(EVENT_FUNC pFunc, void* pUser);

protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	void OnPaste();

protected:
	DECLARE_MESSAGE_MAP()
	afx_msg void OnEnChange();


private:
	int m_nLimitTextBytes;
	int m_bImeMsgDef;
	int m_bImeMsgDrop;
	CStringA m_lastStrA;
	EVENT_FUNC m_eventFunc;
	void* m_eventUser;
	int IsPossibleInput(int nByte);

};


